package com.ventiun.postpricing.model;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class FactoringPostPricingDataObject implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label(value = "country")
	private java.lang.String country;
	@org.kie.api.definition.type.Label(value = "city")
	private java.lang.String city;
	@org.kie.api.definition.type.Label(value = "campaignId")
	private java.lang.String campaignId;
	@org.kie.api.definition.type.Label(value = "disbursementAmount")
	private java.lang.Double disbursementAmount;
	@org.kie.api.definition.type.Label(value = "disbursementMaxAmount")
	private java.lang.Double disbursementMaxAmount;
	@org.kie.api.definition.type.Label(value = "isSponsored")
	private java.lang.String isSponsored;
	@org.kie.api.definition.type.Label(value = "isRisk")
	private java.lang.String isRisk;
	@org.kie.api.definition.type.Label(value = "postPricingResult")
	private java.lang.String postPricingResult;

	public FactoringPostPricingDataObject() {
	}

	public java.lang.String getCountry() {
		return this.country;
	}

	public void setCountry(java.lang.String country) {
		this.country = country;
	}

	public java.lang.String getCity() {
		return this.city;
	}

	public void setCity(java.lang.String city) {
		this.city = city;
	}

	public java.lang.String getCampaignId() {
		return this.campaignId;
	}

	public void setCampaignId(java.lang.String campaignId) {
		this.campaignId = campaignId;
	}

	public java.lang.Double getDisbursementAmount() {
		return this.disbursementAmount;
	}

	public void setDisbursementAmount(java.lang.Double disbursementAmount) {
		this.disbursementAmount = disbursementAmount;
	}

	public java.lang.Double getDisbursementMaxAmount() {
		return this.disbursementMaxAmount;
	}

	public void setDisbursementMaxAmount(java.lang.Double disbursementMaxAmount) {
		this.disbursementMaxAmount = disbursementMaxAmount;
	}

	public java.lang.String getIsSponsored() {
		return this.isSponsored;
	}

	public void setIsSponsored(java.lang.String isSponsored) {
		this.isSponsored = isSponsored;
	}

	public java.lang.String getIsRisk() {
		return this.isRisk;
	}

	public void setIsRisk(java.lang.String isRisk) {
		this.isRisk = isRisk;
	}

	public java.lang.String getPostPricingResult() {
		return this.postPricingResult;
	}

	public void setPostPricingResult(java.lang.String postPricingResult) {
		this.postPricingResult = postPricingResult;
	}

	public FactoringPostPricingDataObject(java.lang.String country,
			java.lang.String city, java.lang.String campaignId,
			java.lang.Double disbursementAmount,
			java.lang.Double disbursementMaxAmount,
			java.lang.String isSponsored, java.lang.String isRisk,
			java.lang.String postPricingResult) {
		this.country = country;
		this.city = city;
		this.campaignId = campaignId;
		this.disbursementAmount = disbursementAmount;
		this.disbursementMaxAmount = disbursementMaxAmount;
		this.isSponsored = isSponsored;
		this.isRisk = isRisk;
		this.postPricingResult = postPricingResult;
	}

}